Subject: Re: [patch 1/1] updated version, fixed the compiler warning

From: Arnd Bergmann <[email-masked]>
Date: Thu, 25 Jan 2007 04:14:15 +0100

On Thursday 25 January 2007 01:45, Benjamin Herrenschmidt wrote:
> If the underlying ipmi stuff cannot cleanup, then the driver should not
> have a module_exit() so the module cannot be removed.

It can do the cleanup, but it won't go through the driver's remove
function currently, because it also tries to deal with implementations
that don't have a 'struct device' abstraction and therefore all ipmi
interfaces get torn down by the ipmi driver.

	Arnd <><